unit Unit1;

interface

uses
  SysUtils, Types, UITypes, Classes, Variants, FMX_Types, FMX_Controls, FMX_Forms,
  FMX_Dialogs, FMXTee_Engine, FMXTee_Procs, FMXTee_Chart, FMXTee_Series;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TLineSeries;
    SpeedButton1: TSpeedButton;
    procedure FormCreate(Sender: TObject);
    procedure Chart1BeforeDrawChart(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  NbreOfTimesTheChartIsDrawn : Integer;

implementation

{$R *.lfm}

procedure TForm1.Chart1BeforeDrawChart(Sender: TObject);
begin
  Inc(NbreOfTimesTheChartIsDrawn);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  NbreOfTimesTheChartIsDrawn  := 0;
  Chart1.AllowZoom            := False;
  Chart1.AllowPanning         := pmNone;
  Series1.FillSampleValues;
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
   ShowMessageFmt('So far, the Chart has been drawn %d Times',[NbreOfTimesTheChartIsDrawn]);
end;

end.
